Name:           xfontsel
Version:        1.1.1
Release:        %mkrel 1
Summary:        Point and click selection of X11 font names
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(xt) >= 1.0.0
BuildRequires:  pkgconfig(xaw7) >= 1.0.1
BuildRequires:  x11-util-macros >= 1.0.1

%description
The xfontsel application provides a simple way to display the fonts known to
your X server, examine samples of each, and retrieve the X Logical Font
Description ("XLFD") full name for a font.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/xfontsel
%{_datadir}/X11/app-defaults/XFontSel
%{_mandir}/man1/xfontsel.1*


%changelog
* Sun Jun 30 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2078119
- new version: 1.1.1

* Tue Jul 12 2022 tv <tv> 1.1.0-1.mga9
+ Revision: 1868598
- 1.1.0

* Thu Mar 31 2022 umeabot <umeabot> 1.0.6-4.mga9
+ Revision: 1835963
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.6-3.mga8
+ Revision: 1518666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-2.mga7
+ Revision: 1301901
- Mageia 7 Mass Rebuild

* Tue Mar 13 2018 tv <tv> 1.0.6-1.mga7
+ Revision: 1208925
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-5.mga6
+ Revision: 942924
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 741695
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 690651
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 525627
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.0.5-1.mga4
+ Revision: 433787
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 386920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 tv <tv> 1.0.4-1.mga3
+ Revision: 257379
- new release

* Fri Jan 21 2011 ennael <ennael> 1.0.3-1.mga1
+ Revision: 27755
- imported package xfontsel


* Mon Sep 27 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 581413
- new release

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-6mdv2010.1
+ Revision: 524443
- rebuilt for 2010.1

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.0.2-5mdv2009.1
+ Revision: 366634
- no more autoconf needed

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-4mdv2009.0
+ Revision: 226038
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2008.1
+ Revision: 154751
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2008.1
+ Revision: 130180
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode lzma extension!!!

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 116221
- new upstream release: 1.0.2

* Sat Sep 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.1-5mdv2007.0
+ Revision: 59439
- rebuild to fix libXaw.so.8 dependency
- rebuild to fix cooker uploading
- rebuild against new libXaw package\n- fixed description and summary
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better description

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

